public static interface Jt400EndpointBuilderFactory.Jt400Builders
| Modifier and Type | Method and Description |
|---|---|
default Jt400EndpointBuilderFactory.Jt400EndpointBuilder |
jt400(String path)
JT400 (camel-jt400)
Exchanges messages with an IBM i system using data queues, message
queues, or program call.
|
default Jt400EndpointBuilderFactory.Jt400EndpointBuilder |
jt400(String componentName,
String path)
JT400 (camel-jt400)
Exchanges messages with an IBM i system using data queues, message
queues, or program call.
|
default Jt400EndpointBuilderFactory.Jt400EndpointBuilder jt400(String path)
jt400:userID:password/systemName/objectPath.type
Path parameter: userID (required)
Returns the ID of the IBM i user.
Path parameter: password (required)
Returns the password of the IBM i user.
Path parameter: systemName (required)
Returns the name of the IBM i system.
Path parameter: objectPath (required)
Returns the fully qualified integrated file system path name of the
target object of this endpoint.
Path parameter: type (required)
Whether to work with data queues or remote program call
There are 4 enums and the value can be one of: DTAQ, PGM, SRVPGM,
MSGQpath - userID:password/systemName/objectPath.typedefault Jt400EndpointBuilderFactory.Jt400EndpointBuilder jt400(String componentName, String path)
jt400:userID:password/systemName/objectPath.type
Path parameter: userID (required)
Returns the ID of the IBM i user.
Path parameter: password (required)
Returns the password of the IBM i user.
Path parameter: systemName (required)
Returns the name of the IBM i system.
Path parameter: objectPath (required)
Returns the fully qualified integrated file system path name of the
target object of this endpoint.
Path parameter: type (required)
Whether to work with data queues or remote program call
There are 4 enums and the value can be one of: DTAQ, PGM, SRVPGM,
MSGQcomponentName - to use a custom component name for the endpoint
instead of the default namepath - userID:password/systemName/objectPath.typeApache Camel